TAU_REGISTER_EVENT(3)

NAME
TAU_REGISTER_EVENT - Registers a user event

SYNOPSIS

C/C++:

TAU_REGISTER_EVENT(TauUserEvent variable, char *event_name);

Fortran:

TAU_REGISTER_EVENT(int variable(2), character event_name(size));

DESCRIPTION

TAU can profile user-defined events using TAU_REGISTER_EVENT. The meaning of the event is determined by the user. The first argument to TAU_REGISTER_EVENT is the pointer to an integer array. This array is declared with a save attribute as shown below.

EXAMPLE

C/C++ :

int user_square(int count) {
  TAU_REGISTER_EVENT(ue1, "UserSquare Event");
  TAU_EVENT(ue1, count * count);
  return 0;
}

Fortran :

integer eventid(2)
save eventid
call TAU_REGISTER_EVENT(eventid, 'Error in Iteration')
call TAU_EVENT(eventid, count)

SEE ALSO

TAU_EVENT(3), TAU_REGISTER_CONTEXT_EVENT(3), TAU_REPORT_STATISTICS(3), TAU_REPORT_THREAD_STATISTICS(3), TAU_GET_EVENT_NAMES(3), TAU_GET_EVENT_VALS(3)